Bug 189342 - Python egg spec template
Summary: Python egg spec template
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-rpmdevtools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 239629 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-19 11:10 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-20 19:15:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python egg spec template (1.28 KB, text/plain)
2006-04-19 11:10 UTC, Ignacio Vazquez-Abrams
no flags Details

Description Ignacio Vazquez-Abrams 2006-04-19 11:10:21 UTC
Here's a spec file template that can be used for packaging Python eggs.

Comment 1 Ignacio Vazquez-Abrams 2006-04-19 11:10:22 UTC
Created attachment 127979 [details]
Python egg spec template

Comment 2 Ville Skyttä 2006-04-19 16:46:05 UTC
I have no experience with python eggs, so Cc'ing the FE list for comments about
the specfile contents and whether a separate template for them is actually needed.


Some questions/notes though, assuming this will be added:

fedora-newrpmspec should still continue to use the generic python template, no?

Using %{name} and %{name}-%{version} in %files sounds a bit optimistic for my
taste, it's not uncommon to slightly deviate from upstream naming in python
package names, and I don't see %{name} or %{version} being passed to any build
or install commands.  --> there's a disconnect

Also, the example %files entries use %{python_sitelib}, are the files always
installed there, or sometimes to %{python_sitearch}?

Due to the two potential issues above, I'd be inclined to just drop the example
%files entries.

Comment 3 Ignacio Vazquez-Abrams 2006-04-27 21:12:04 UTC
(In reply to comment #2)
> fedora-newrpmspec should still continue to use the generic python template, no?

Of course. This would be added as another template, not replace the existing one.

> Due to the two potential issues above, I'd be inclined to just drop the example
> %files entries.

Sounds sane to me.

Comment 4 Ville Skyttä 2006-04-27 21:32:23 UTC
(In reply to comment #3)
> This would be added as another template, not replace the existing one.

I didn't mean to replace it, but that one can't tell from the package name that
it's an egg so newrpmspec couldn't currently auto-select it for any new packages.

> > I'd be inclined to just drop the example %files entries.
> Sounds sane to me.

After that change, the only difference to the current python spec template would
be the python-setuptools build dependency and
--single-version-externally-managed argument to setup.py, and that's no longer
something that I think warrants a different spec template.

Comment 5 Ville Skyttä 2006-08-20 19:15:18 UTC
No feedback to comment 4, assuming this is not needed.  Feel free to reopen for
more discussion if you disagree.

Comment 6 Ville Skyttä 2007-05-11 15:47:53 UTC
*** Bug 239629 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.